/******************************************************************************
 
	NAME
 
		Reboot
 
	SYNOPSIS
 
 
	LOCATION
 
		Workbench:C
 
	FUNCTION
 
		Reboots the machine.
 
	inputs
 
	RESULT
 
	NOTES
 
	EXAMPLE
 
	BUGS
 
	SEE ALSO
 
	INTERNALS
 
	HISTORY
 
******************************************************************************/

#include <exec/libraries.h>
#include <dos/dos.h>

#include <proto/exec.h>
#include <proto/dos.h>

#include "reboot_version.h"

static const char version[] = VERSTAG;

int main(void)
{
	struct Library *SysBase=*((struct Library**) 4);
	struct DosLibrary *DOSBase = (APTR) OpenLibrary("dos.library", 37);
	if (DOSBase)
	{
		LONG foo;
		FreeArgs(ReadArgs("", &foo, NULL));
		if (SetSignal(0,0) & SIGBREAKF_CTRL_C)
		{
			PrintFault(ERROR_BREAK, NULL);
			CloseLibrary((APTR) DOSBase);
			return RETURN_ERROR;
		}
		// no need to close it really... CloseLibrary((APTR) DOSBase);
	}

	ColdReboot();

	return 666;
}
